{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/_index.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/_index.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<section class="container">
    <h1 class="text-center"><span class="hero-accent">{{ .Title }}</span></h1>

    <p>
        {{ .Content }}
    </p>

    {{ range .Paginator.Pages }}
    <div class="card mb-3">
        <div class="card-header">
            <a href="{{ .Permalink }}">{{ .Title }}</a>
        </div>

        <div class="card-body">
            <blockquote>
                {{ replaceRE `((#|@)[a-zA-Z0-9-_]+:[a-zA-Z0-9-]+\.[a-zA-Z]+)` "<a href=https://matrix.to/#/$1 target=_blank>$1</a>" .Content | safeHTML }}
            </blockquote>
        </div>
    </div>
    {{ end }}

    {{- if gt .Paginator.TotalPages 1 }}
    <nav aria-label="Pagination">
        <ul class="pagination pagination-default justify-content-center">
            {{- partial "partials/inline/pagination/default" . }}
        </ul>
    </nav>
    {{- end }}
</section>

{{ partial "no-server-yet.html" . }}
{{ end }}
